#!/bin/sh

if [ ! -f /Library/Frameworks/OSXFUSE.framework/Resources/Info.plist ]; then
	echo "OS X Fuse framework is not installed on this Mac."
	mypath=`dirname "$0"`
	"$mypath"/LaCiePrivatePublicCheck
    touch "$mypath"/../../
else
	OSXFUSE_Version=$(/usr/libexec/PlistBuddy -c "Print :CFBundleVersion" "/Library/Frameworks/OSXFUSE.framework/Resources/Info.plist");
    echo "OS X Fuse is already installed. Current version installed: $OSXFUSE_Version"
    if [[ "$OSXFUSE_Version" < "3.4.0" ]]; then
    		echo "Current version of OS X Fuse installed is too old !"
    		/Library/Filesystems/osxfuse.fs/Contents/Resources/uninstall_osxfuse.app
	        mypath=`dirname "$0"`
	        "$mypath"/LaCiePrivatePublicCheck
	        touch "$mypath"/../../
	else 
		if [ ! -f /Library/Frameworks/MacFUSE.framework/Resources/Info.plist ]; then
			echo "Mac FUSE framework is not installed on this Mac."
			/Library/Filesystems/osxfuse.fs/Contents/Resources/uninstall_osxfuse.app
			mypath=`dirname "$0"`
			"$mypath"/LaCiePrivatePublicCheck
    		touch "$mypath"/../../
		else
			MacFUSE_Version=$(/usr/libexec/PlistBuddy -c "Print :CFBundleVersion" "/Library/Frameworks/MacFUSE.framework/Resources/Info.plist");
    		echo "Mac FUSE is already installed. Current version installed: $MacFUSE_Version"
    		if [[ "$MacFUSE_Version" < "2.0.3" ]]; then
    			/Library/Filesystems/osxfuse.fs/Contents/Resources/uninstall_osxfuse.app
	        	mypath=`dirname "$0"`
	        	"$mypath"/LaCiePrivatePublicCheck
	        	touch "$mypath"/../../
	   	 	else
	   	 		mypath=`dirname "$0"`
        		"$mypath"/LaPrivate
	   	 	fi
	   	 fi 
	fi
fi